MONGOC_TRANSACTION_OPTS_SET_MAX_COMMIT_TIME_MS(3)

NAME
mongoc_transaction_opts_set_max_commit_time_ms - mongoc_transaction_opts_set_max_commit_time_ms()

SYNOPSIS

void
mongoc_transaction_opts_set_max_commit_time_ms (mongoc_transaction_opt_t *opts,
                                                int64_t max_commit_time_ms);

Configure the transaction's max commit time, in milliseconds.

PARAMETERS

•   opts: A mongoc_transaction_opt_t.

•   int64_t: Timeout for commitTransaction, in milliseconds.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc